Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_11
Class ExcelToRichTextConverter

    java.lang.Object
      |
      +--djbuch.kapitel_11.ExcelToRichTextConverter

public class ExcelToRichTextConverter
extends java.lang.Object

Einfache Implementierung einer Klasse, die es ermöglicht, Excel Sheets in RichText Tabellen zu konvertieren und umgekehrt. Hierbei werden insbesondere Techniken aufgezeigt, die notwendig sind, um innerhalb von Tabellen in den Zellen zu navigieren. Die verschiedenen Methoden zeigen darüberhinaus allgemeine Techniken, die bei der Verarbeitung von Tabellen zur Anwendung kommen Die Excel Operationen basieren auf dem Framework von Andy Khan http://www.andykhan.com/jexcelapi/index.html

Author:
  Thomas Ekert

Constructor Summary
`ExcelToRichTextConverter(RichTextItem rti, java.lang.String useFileName)` Objekt, anhand dessen das übergebene RichTextItem für den Import oder Export in oder aus diesem Item genutzt werden kann.

Method Summary
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getFileName()`
`RichTextTable` | `getTable(int noOfTable)` liefert die Tabelle an Position noOfTable.
`int` | `getTableCount()` liefert die Anzahl der Tabellen im RichTextItem (field richText)
`boolean` | `runExport(int noOfTableToExport)` exportiert das RichTextItem (field richText) in eine Datei (field fileName).
`void` | `runImport()` Fügt eine Tabelle ans Ende des RichTextItems und füllt diese mit dem Inhalt der Exceltabelle.
`void` | `setEncoding(java.lang.String enc)`
`void` | `setFileName(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcelToRichTextConverter

    public ExcelToRichTextConverter(RichTextItem rti,
                                    java.lang.String useFileName)
                             throws NotesException

  Objekt, anhand dessen das übergebene RichTextItem für den Import oder Export in oder aus diesem Item genutzt werden kann.

Parameters:
  `rti` -
  `useFileName` -
Throws:
  `NotesException`

Method Detail

### runImport

    public void runImport()
                   throws jxl.read.biff.BiffException,
                          java.io.IOException,
                          NotesException

  Fügt eine Tabelle ans Ende des RichTextItems und füllt diese mit dem Inhalt der Exceltabelle.

  Throws:
    `jxl.read.biff.BiffException`
    `java.io.IOException`
    `NotesException`

### runExport

    public boolean runExport(int noOfTableToExport)

  exportiert das RichTextItem (field richText) in eine Datei (field fileName).

  Parameters:
    `noOfTableToExport` - - laufende Nummer der Tabelle, die exportiert werden soll, beginnend bei 1
  Returns:
    - true, falls alles ok

### getTable

    public RichTextTable getTable(int noOfTable)
                           throws NotesException

  liefert die Tabelle an Position noOfTable. Falls diese größer als die Anzahl der Tabellen im RTItem, dann wird die letzte Tabelle geliefert.

  Parameters:
    `noOfTable` -
  Returns:
  Throws:
    `NotesException`

### getTableCount

    public int getTableCount()
                      throws NotesException

  liefert die Anzahl der Tabellen im RichTextItem (field richText)

  Returns:
  Throws:
    `NotesException`

### setEncoding

    public void setEncoding(java.lang.String enc)

### getEncoding

    public java.lang.String getEncoding()

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD